VMTKIMAGEVIEWER(1)

NAME
vmtkimageviewer - vmtk script vmtkimageviewer

DESCRIPTION
Automatic piping vmtkimageviewer Parsing options vmtkimageviewer

vmtkimageviewer : display a 3D image

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Image (vtkImageData,1): the input image

-ifile ImageInputFileName (str,1): filename for the default Image

    reader

-array ArrayName (str,1): name of the array to display

-renderer vmtkRenderer (vmtkRenderer,1): external renderer

-windowlevel WindowLevel (float,2); default=[0.0, 0.0]: the

    window/level for displaying the image

-display Display (bool,1); default=1: toggle rendering

-margins Margins (bool,1); default=0: toggle margins for tilting

    image planes

-textureinterpolation TextureInterpolation (bool,1); default=1:

    toggle interpolation of graylevels on image planes

-continuouscursor ContinuousCursor (bool,1); default=0: toggle use

    of physical continuous coordinates for the cursor

-ofile ImageOutputFileName (str,1): filename for the default Image

    writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Image (vtkImageData,1): the output image

-xplane PlaneWidgetX (vtkImagePlaneWidget,1): the X image plane

    widget

-yplane PlaneWidgetY (vtkImagePlaneWidget,1): the Y image plane

    widget

-zplane PlaneWidgetZ (vtkImagePlaneWidget,1): the Z image plane

    widget